import '@/assets/main.css';

import type { Preview } from '@storybook/vue3'
import { setup } from '@storybook/vue3'
import PrimeVue from 'primevue/config'
import { createPinia } from 'pinia'
import router from '@/router'
import i18n from '@/i18n'
import primeVueConfig from '@/primevue.config'

const preview: Preview = {
  tags: ['autodocs'],
  parameters: {
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/i
      }
    }
  }
}

setup((app) => {
  app.use(createPinia())
    .use(i18n)
    .use(router)
    .use(PrimeVue, primeVueConfig);
});

export default preview
