import type { Meta, StoryObj } from '@storybook/vue3';

import OcBadgeFair from './OcBadgeFair.vue';

const meta: Meta<typeof OcBadgeFair> = {
  component: OcBadgeFair,
};

export default meta;
type Story = StoryObj<typeof OcBadgeFair>;

export const FAIR: Story = {
  render: (args) => ({
    components: { OcBadgeFair },
    setup() {
      return { args };
    },
    template: '<OcBadgeFair v-bind="args" />',
  }),
  args: {
    fairBadgesVisibility: {
      "f": true,
      "a": true,
      "i": true,
      "r": true
    }
  },
};

export const FAI: Story = {
  render: (args) => ({
    components: { OcBadgeFair },
    setup() {
      return { args };
    },
    template: '<OcBadgeFair v-bind="args" />',
  }),
  args: {
    fairBadgesVisibility: {
      "f": true,
      "a": true,
      "i": true,
      "r": false
    }
  },
};

export const AI: Story = {
  render: (args) => ({
    components: { OcBadgeFair },
    setup() {
      return { args };
    },
    template: '<OcBadgeFair v-bind="args" />',
  }),
  args: {
    fairBadgesVisibility: {
      "f": false,
      "a": true,
      "i": true,
      "r": false
    }
  },
};

export const WithoutArgs: Story = {
  render: (args) => ({
    components: { OcBadgeFair },
    setup() {
      return { args };
    },
    template: '<OcBadgeFair v-bind="args" />',
  }),
  args: {
    
  },
};