import type { LocalizedProperty } from "@/declarations"
import { useI18n } from "vue-i18n"

export function useTranslateValue() {

  const { locale, fallbackLocale } = useI18n()

  const translateValue = (localizedProperty: LocalizedProperty): string => {
    // In our context, `fallbackLocale` is a string
    // @see i18n configuration in `src/i18n.tssrc/i18n.ts`
    return localizedProperty?.[locale.value] ?? localizedProperty?.[fallbackLocale.value as string] ?? localizedProperty?.['@none'] ?? ''
  }

  return { translateValue }
}