import { createI18n } from 'vue-i18n';
import messageEn from './locales/en'
import messageFr from './locales/fr'
import { setLocale } from 'yup';

const i18n = createI18n({
  legacy: false,
  locale: 'en',
  messages: {
    en: messageEn,
    fr: messageFr,
  }
})

// Defines yup translations
setLocale({
  mixed: {
    default: ({ label }) => i18n.global.t('formValidation.mixed.default', { label: label }),
    required: ({ label }) => i18n.global.t('formValidation.mixed.required', { label: label }),
  },
  string: {
    url: ({ label }) => i18n.global.t('formValidation.string.url', { label: label }),
    email: ({ label }) => i18n.global.t('formValidation.string.email', { label: label }),
  }
});

export default i18n
