export default {
  topMenu: {
    contact: {
      subject: "Contact depuis la page de bienvenue OpenCommon",
      body: `Merci de préciser votre demande :
      Demande de création d'un espace communautaire ?
      Demande de création de compte ? Rapport d'incident ?
      Proposition de contribution ? Suggestion ?
      Cordialement, l'équipe OpenCommon`,
    },
    signIn: 'Se connecter',
  },
  home: {
    catchphrase: {
      1: 'Portail pour les données de la recherche :',
      2: 'Déposer, Rechercher et Partager',
    },
    goToCommunity: 'Voir la communauté {label}',
  },
  communities: 'Communautés',
  community: {
    askJoin: {
      buttonLabel: "Demander l’accès à cette communauté",
      error: "Une erreur est survenue. Si le problème persiste, contactez-nous (via l'icone enveloppe en haut à droite).",
      confirmation: {
        1: "Votre demande a été prise en compte, vous recevrez sous quelques jours une autorisation d’accès à la communauté.",
        2: "En attendant vous pouvez utiliser le mode visteurs.",
      },
    },
    homepage: {
      presentationLabel: "Présentation",
      searchBarPlaceholder: "Rechercher",
      searchBarLegend: "Rechercher vos ressources scientifiques (jeu de données, publications, codes, ...)",
      connectButtonLabel: "Se connecter pour accéder aux services de la {communityName}",
      joinButtonLabel: "Rejoindre la {communityName}",
      yourServices: "Vos services"
    }
  },
  backHome: 'Retourner à la page d\'accueil',
  error: {
    title: 'Erreur',
    genericMessage: 'Désolé, une erreur est survenue.',
    notFoundMessage: {
      1: 'La page',
      2: 'n\'existe pas.',
    }
  },
  connection: {
    catchphrase: 'Un seul compte, différents espaces communautaires de partage de données',
    username: 'Nom d\'utilisateur',
    password: 'Mot de passe',
    login: 'Connexion',
    logout: 'Déconnexion',
    logoutSuccess: 'Vous avez été correctement déconnecté.',
    createAccount: 'Créer un compte',
    continueAsGuest: 'Poursuivre en mode visiteur',
    alreadyLoggedIn: 'Vous êtes déjà connecté en tant que {login}.',
    errorOnLogin: 'Une erreur est survenue à la connexion. Veuillez vérifier votre nom d\'utilisateur et votre mot de passe.',
  },
  register: {
    requestAccount: 'Demander la création d\'un compte',
    sendRequest: 'Envoyer la demande',
    selectCommunities: 'Quelles communautés souhaitez-vous rejoindre ?',
    error: "Une erreur est survenue. Si le problème persiste, contactez-nous (via l'icone enveloppe en haut à droite).",
    confirmation: {
      1: "Votre demande a été prise en compte, vous recevrez sous quelques jours une autorisation d’accès.",
      2: "En attendant vous pouvez utiliser le mode visteurs.",
    },
  },
  profile: {
    profile: 'Profil',
    email: 'E-mail',
    familyName: 'Nom',
    givenName: 'Prénom',
    description: 'Bio',
    homepage: 'Site internet',
    organization: 'Organisation(s)',
    topicInterest: 'Centre(s) d\'intérêt',
  },
  formValidation: {
    mixed: {
      default: '{label} est invalide',
      required: '{label} est un champ obligatoire',
    },
    string: {
      url: '{label} doit être une URL valide',
      email: '{label} doit être une adresse e-mail valide',
    },
  }
}
